Subject: bug#26671: serf package (guix dependency) tests fail

From: Marius Bakke <[email-masked]>
Date: Thu, 27 Apr 2017 17:16:10 +0200

Leo Famulari <[email-masked]> writes:

> On Thu, Apr 27, 2017 at 03:54:13PM +0200, Marius Bakke wrote:
>> Maxim Cournoyer <[email-masked]> writes:
>> >
>> > While attempting to "guix environment guix" after doing a "git pull"
>> > in my guix checkout (master), it attempted to build many packages
>> > (bash, gcc, etc.) and failed building `serf' due to test failures:
>> >
>> > ............F.FFF.FFF.FF.FFFFF...................................
>
> [...]
>
>> > !!!FAILURES!!!
>> > Runs: 65 Passes: 51 Fails: 14
>> 
>> The SSL certificates in "test/server" expired 18/04.
>
> Terrible! This invalidates the entire dependency tree based on serf. In
> effect, it enforces an expiration date on these packages.

Good point. We should definitely avoid this.

>> https://svn.apache.org/viewvc?view=revision&revision=1792234
>
> Rather than using this workaround, which will stop working 2018-09-19,
> we should disable this test. We should also file an upstream bug asking
> them to fudge the date in their tests, so that we can run this test
> suite forever. GnuTLS uses this technique with the 'datefudge' tool.

Interesting, I was not aware of "datefudge".

I'll disable these tests for now and create an upstream issue once I've
learned more about the datefudge tool.